Subject: Re: bug#74200: [PATCH] Add song viewer to 'mpc'

From: Stefan Monnier <[email-masked]>
Date: Thu, 14 Nov 2024 10:45:57 -0500

>>> +      (select-window (display-buffer buffer '((display-buffer-reuse-window
>>> +                                               display-buffer-same-window)
>>> +                                              (reusable-frames . t)))))))
>>
>> Why use `select-window + display-buffer` instead of `pop-to-buffer`?
>
> Elsewhere I was told not to use pop-to-buffer in new code and I
> believe everything anyone tells me.

Really?  AFAIK the one function in that family that's shunned is
`switch-to-buffer` (because its intention is unclear: sometimes it
means "change the content of this window (to that buffer)" and sometimes
it means "display this buffer (in the selected window)"),

Anyway, thanks, installed into `master`.

        Stefan